org.apache.hadoop.mapred

## Class InvalidJobConfException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.hadoop.mapred.InvalidJobConfException

- All Implemented Interfaces:
    Serializable

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class InvalidJobConfException
      extends IOException

  This exception is thrown when jobconf misses some mendatory attributes or value of some attributes is invalid.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidJobConfException()`
    `InvalidJobConfException(String msg)`
    `InvalidJobConfException(String msg, Throwable t)`
    `InvalidJobConfException(Throwable t)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidJobConfException

          public InvalidJobConfException()

    - #### InvalidJobConfException

          public InvalidJobConfException(String msg)

    - #### InvalidJobConfException

          public InvalidJobConfException(String msg,
                                         Throwable t)

    - #### InvalidJobConfException

          public InvalidJobConfException(Throwable t)

Copyright © 2022 Apache Software Foundation. All rights reserved.